For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • STREAMA2A JSON-RPC endpoint
      • GETGet A2A Agent Card
      • GETGet A2A surface info
Dashboard
LogoLogo
Runtype APIA2a

Get A2A surface info

GET
/v1/products/:productId/surfaces/:surfaceId/a2a/info
GET
/v1/products/:productId/surfaces/:surfaceId/a2a/info
$curl https://api.runtype.com/v1/products/productId/surfaces/surfaceId/a2a/info \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "a2a": {
3 "agentCard": "https://runtype.com/agent-cards/abc123.json",
4 "authentication": {
5 "format": "Bearer <token>",
6 "header": "Authorization",
7 "type": "apiKey"
8 },
9 "endpoint": "https://api.runtype.com/v1/json-rpc",
10 "protocolVersion": "1.0"
11 },
12 "product": {
13 "description": "Runtype AI product development platform",
14 "id": "prod_987654321",
15 "name": "Runtype AI Platform"
16 }
17}

Public A2A surface information including the protocol version, JSON-RPC endpoint, Agent Card URL, and authentication details. No authentication required.

Was this page helpful?
Previous

List discovered WebMCP tools

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

productIdstringRequired
surfaceIdstringRequired

Response

A2A surface information
a2aobject
productobject

Errors

404
Not Found Error
500
Internal Server Error